<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Listdomer
 */
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e('Skip to content', 'listdomer'); ?></a>

	<header role="banner" id="masthead" class="site-header d-flex flex-column flex-md-row">
		<div class="site-branding">
			<?php
                if(has_custom_logo()) echo LSDR_Theme::logo();
                else
                {
                    $blogname = get_bloginfo('name');
					
                    if(trim($blogname)){
						if((is_front_page() or is_home()) and !is_page()) echo '<h1><a href="'.esc_url(home_url()).'">'.esc_html($blogname).'</a></h1>';
						else echo '<a href="'.esc_url(home_url()).'">'.esc_html($blogname).'</a>';
					}
                }
				
				$description = get_bloginfo('description');
				if(trim($description)) echo '<div class="site-description">'.esc_html($description).'</div>';
            ?>
		</div>
		
		<nav class="main-navigation navbar-collapse offcanvas-collapse" role="navigation" aria-label="<?php esc_attr_e( 'Primary', 'listdomer' ); ?>" id="site-navigation" >
			<button id="main-navigation-close" class="main-navigation-close">
				<?php esc_html_e('Close', 'listdomer'); ?> <i class="fas fa-times"></i>
			</button>
			<?php
                wp_nav_menu(array(
                    'theme_location' => 'menu-1',
                    'menu_id'        => 'primary-menu',
                ));
			?>
		</nav>
		
		<div id="header-buttons" class="header-buttons">
            <?php do_action('listdomer_header_buttons'); // phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedHooknameFound ?>
			
			<button id="listdomer-responsive-sidebar-menu" class="listdomer-responsive-sidebar-menu">
				<span>
					<i class="fas fa-align-right"></i>
				</span>
			</button>
        </div>
	</header>
	<div class="listdomer-primary" id="primary">