<?php
// no direct access
defined('ABSPATH') or die();

if(!class_exists('LSDR_Customizer')):

/**
 * Customizer Class
 *
 * @class LSDR_Customizer
 * @version	1.0.0
 */
class LSDR_Customizer extends LSDR_Base
{
    /**
     * Constructor
     */
    public function __construct()
    {
        parent::__construct();
    }

    public function init()
    {
        add_action('customize_register', array($this, 'register'));
        add_action('customize_preview_init', array($this, 'assets'));
        add_action('customize_save_after', array($this, 'save'));
    }

    /**
     * @param WP_Customize_Manager $manager Theme Customizer object.
     */
    public function register($manager)
    {
        // Panel
        $manager->add_panel('listdomer_panel', array(
            'title' => esc_html__('Listdomer', 'listdomer'),
            'priority' => 10,
            'capability' => 'edit_theme_options',
        ));

        // Sections
        $manager->add_section('listdomer_display_options', array(
            'panel' => 'listdomer_panel',
            'title' => esc_html__('Display Options', 'listdomer'),
            'description' => esc_html__('Adjust theme display options such as color, font, etc.', 'listdomer'),
            'capability' => 'edit_theme_options',
        ));

        // Main Color
        $manager->add_setting('listdomer_main_color' , array(
            'default'   => '#306be6',
            'transport' => 'refresh',
        ));

        $manager->add_control(new WP_Customize_Color_Control(
            $manager,
            'listdomer_main_color_control',
            array(
                'label' => esc_html__('Main Color', 'listdomer'),
                'settings' => 'listdomer_main_color',
                'section' => 'listdomer_display_options',
                'description' => esc_html__('Easily change listdomer main color.', 'listdomer'),
            )
        ));

        // Secondary Color
        $manager->add_setting('listdomer_secondary_color' , array(
            'default'   => '#33c6ff',
            'transport' => 'refresh',
        ));

        $manager->add_control(new WP_Customize_Color_Control(
            $manager,
            'listdomer_secondary_color_control',
            array(
                'label' => esc_html__('Secondary Color', 'listdomer'),
                'settings' => 'listdomer_secondary_color',
                'section' => 'listdomer_display_options',
                'description' => esc_html__('Easily change listdomer secondary color.', 'listdomer'),
            )
        ));

        // Main Font
        $manager->add_setting('listdomer_main_font' , array(
            'default'   => 'Poppins',
            'transport' => 'refresh',
        ));

        $manager->add_control(new WP_Customize_Control(
            $manager,
            'listdomer_main_font_control',
            array(
                'label' => esc_html__('Main Font', 'listdomer'),
                'settings' => 'listdomer_main_font',
                'section' => 'listdomer_display_options',
                'description' => esc_html__('You can choose one of Google fonts.', 'listdomer'),
                'type' => 'select',
                'choices' => array(
                    'Poppins' => 'Poppins',
                    'Lato' => 'Lato',
                    'Roboto' => 'Roboto',
                    'Raleway' => 'Raleway',
                    'Open Sans' => 'Open Sans',
                )
            )
        ));
    }

    public function assets()
    {
        wp_enqueue_script('lsdr-customizer', get_template_directory_uri() . '/assets/js/customizer.min.js', array('customize-preview'), LSDR_VERSION, true);
    }

    /**
     * @param WP_Customize_Manager $manager Theme Customizer object.
     */
    public function save($manager)
    {
        // Generate CSS File
        LSDR_Personalize::generate();
    }
}

endif;