<?php
// no direct access
defined('ABSPATH') or die();

if(!class_exists('LSDR_Personalize')):

/**
 * Listdomer Personalize Class.
 *
 * @class LSDR_Personalize
 * @version	1.0.0
 */
class LSDR_Personalize extends LSDR_Base
{
    /**
	 * Constructor method
	 */
	public function __construct()
    {
        parent::__construct();
	}

    public static function generate()
    {
        $main_color = sanitize_text_field(get_theme_mod('listdomer_main_color', '#306be6'));
        $secondary_color = sanitize_text_field(get_theme_mod('listdomer_secondary_color', '#33c6ff'));
        $main_font = sanitize_text_field(get_theme_mod('listdomer_main_font', 'Poppins'));
        $header_bg_color = sanitize_text_field(get_theme_mod('listdomer_header_bg_color', '#ffffff'));
        $footer_bg_color = sanitize_text_field(get_theme_mod('listdomer_footer_bg_color', '#1c1c1c'));

        $button_color1 = sanitize_text_field(get_theme_mod('listdomer_button_color1', '#33c6ff'));
        $button_color2 = sanitize_text_field(get_theme_mod('listdomer_button_color2', '#306be6'));
        $button_focus_color = sanitize_text_field(get_theme_mod('listdomer_button_focus_color', '#306be6'));

        $raw = file_get_contents(get_template_directory().'/assets/css/personalized.raw');

        $CSS = str_replace('((main_color))', $main_color, $raw);
        $CSS = str_replace('((secondary_color))', $secondary_color, $CSS);
        $CSS = str_replace('((main_font))', $main_font, $CSS);
        $CSS = str_replace('((header_bg_color))', $header_bg_color, $CSS);
        $CSS = str_replace('((footer_bg_color))', $footer_bg_color, $CSS);
        $CSS = str_replace('((button_color1))', $button_color1, $CSS);
        $CSS = str_replace('((button_color2))', $button_color2, $CSS);
        $CSS = str_replace('((button_focus_color))', $button_focus_color, $CSS);

        // Write the generated CSS file
        file_put_contents(get_template_directory().'/assets/css/personalized.css', $CSS);
    }

    public static function assets()
    {
        $main_font = sanitize_text_field(get_theme_mod('listdomer_main_font', 'Poppins'));

        // Include the Font
        wp_enqueue_style('google-font-'.sanitize_title($main_font), 'https://fonts.googleapis.com/css?family='.urlencode($main_font).':wght@500&display=swap');

        // Include Listdomer personalized CSS file
        wp_enqueue_style('listdomer-personalized', get_template_directory_uri().'/assets/css/personalized.css', array('listdomer'), LSDR_VERSION.'.'.time());
    }
}

endif;